=head1 NAME

rendersvg - an SVG rendering application

=head1 SYNOPSIS

B<rendersvg> [I<OPTIONS>] I<in.svg> I<out.png>

B<rendersvg> I<in.svg> I<out.png>

B<rendersvg> B<-z> I<4> I<in.svg> I<out.png>

B<rendersvg> B<--query-all> I<in.svg>

=head1 OPTIONS

A summary of options is included below.

=over

=item B<--h>, B<--help>

Prints help information

=item B<-V>, B<--version>

Prints version information

=item B<--backend> I<BACKEND>

Sets the rendering backend.

Has no effect if built with only one backend [default: cairo] [possible values: cairo, qt]

=item B<-w> I<LENGTH>, B<--width> I<LENGTH>

Sets the width in pixels

=item B<-h> I<LENGTH>, B<--height> I<LENGTH>

Sets the height in pixels

=item B<-z> I<FACTOR>, B<--zoom> I<FACTOR>

Zooms the image by a factor

=item B<--dpi> I<DPI>

Sets the resolution [default: 96] [possible values: 10..4000]

=item B<--background> I<COLOR>

Sets the background color.

Examples: red, #fff, #fff000

=item B<--font-family> I<FAMILY>

Sets the default font family [default: 'Times New Roman']

=item B<--font-size> I<SIZE>

Sets the default font size [default: 12] [possible values: 1..192]

=item B<--languages> I<LANG>

Sets a comma-separated list of languages that will be used during the 'systemLanguage' attribute resolving.

Examples: 'en-US', 'en-US, ru-RU', 'en, ru' [default: 'en']

=item B<--query-all>

Queries all valid SVG ids with bounding boxes

=item B<--export-id> I<ID>

Renders an object only with a specified ID

=item B<--perf>

Prints performance stats

=item B<--pretend>

Does all the steps except rendering

=item B<--quiet>

Disables warnings

=item B<--dump-svg>=I<PATH>

Saves the preprocessed SVG to the selected file

=back

=head1 ARGS

=over

=item I<in.svg>

Input file

=item I<out.png>

Output file

=back

=head1 SEE ALSO

L<usvg(1)>

=head1 AUTHOR

This manual page was written by Andrej Shadura L<< <andrewsh@debian.org> >> for the Debian project (but may be used by others).
